import 'package:auth/src/core/providers/auth_repository_provider.dart';
import 'package:auth/src/features/sign_up/domain/generate_two_fa_sign_up_use_case.dart';
import 'package:auth/src/features/sign_up/domain/generate_two_fa_sign_up_use_case_impl.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

final generateTwoFASignUpUseCaseProvider =
    Provider.autoDispose<GenerateTwoFASignUpUseCase>((ref) {
      final authRepository = ref.read(authRepositoryProvider);
      return GenerateTwoFASignUpUseCaseImpl(authRepository);
    });
